## pipewire 1.2.7

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Documentation',
       type: 'feature',
       value: 'disabled')
option('man',
       description: 'Manual pages',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('logind',
       description: 'Enable logind integration',
       type: 'feature',
       value: 'auto')
option('logind-provider',
       description: 'Provider for logind integration',
       type: 'combo',
       choices: ['libelogind', 'libsystemd'],
       value: 'libsystemd')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('selinux',
       description: 'Enable SELinux integration',
       type: 'feature',
       value: 'auto')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: false)
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-native-mm',
       description: 'Enable ModemManager in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'disabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3plus',
        description: 'Enable LC3plus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-opus',
        description: 'Enable Opus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3',
        description: 'Enable LC3 open source codec implementation',
        type: 'feature',
        value: 'auto')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Build the legacy volume spa plugin',
       type: 'feature',
       value: 'disabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('pw-cat-ffmpeg',
       description: 'Enable FFmpeg integration in pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'disabled')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libmysofa',
       description: 'Enable code that depends on libmysofa',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['wireplumber'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: true)
option('avb',
       description: 'Enable AVB code',
       type: 'feature',
       value: 'auto')
option('flatpak',
       description: 'Enable Flatpak support',
       type: 'feature',
       value: 'enabled')
option('readline',
       description: 'Enable code that depends on libreadline',
       type: 'feature',
       value: 'auto')
option('gsettings',
       description: 'Enable code that depends on gsettings',
       type: 'feature',
       value: 'auto')
option('compress-offload',
       description: 'Enable ALSA Compress-Offload support',
       type: 'feature',
       value: 'auto')
option('pam-defaults-install',
       description: 'Install limits.d file modifying defaults for all PAM users. Only for old kernels/systemd!',
       type: 'boolean',
       value: false)
option('pam-memlock-default',
       description : 'The default memlock value for any PAM user in kilobytes. Multiples of 64 recommended.',
       type : 'integer',
       min: 640,
       value: 8192)
option('rlimits-install',
       description: 'Install PAM limits.d file. Voids all following rlimits-* options, if false',
       type: 'boolean',
       value: true)
option('rlimits-match',
       description : 'PAM match rule for the generated limits.d file. @<name> denotes matching a group.',
       type : 'string',
       value: '@pipewire')
option('rtprio-server',
       description : 'PipeWire server realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 88)
option('rtprio-client',
       description : 'PipeWire clients realtime priority',
       type : 'integer',
       min: 11,
       max: 99,
       value: 83)
option('rlimits-rtprio',
       description : 'RR and FIFO scheduler priority permitted for realtime threads of the matching user(s)',
       type : 'integer',
       min: 11,
       max: 99,
       value: 95)
option('rlimits-memlock',
       description : 'kB of memory each process of the user matched by the rule can lock. Can be unlimited .',
       type : 'string',
       value: '4194304')
option('rlimits-nice',
       description : 'Not niceness permitted for non-realtime threads of the matching user(s)',
       type : 'integer',
       min: -20,
       max: -1,
       value: -19)
option('opus',
       description: 'Enable code that depends on opus',
       type: 'feature',
       value: 'auto')
option('libffado',
       description: 'Enable code that depends on libffado',
       type: 'feature',
       value: 'auto')
option('gsettings-pulse-schema',
       description: 'Install gsettings schema for pulseaudio',

=== debian/changelog ===
pipewire (1.2.7-1ubuntu5) plucky; urgency=medium

  * Revert change to Build-Depends: libwebrtc-audio-processing-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 08:28:33 -0500

pipewire (1.2.7-1ubuntu4) plucky; urgency=medium

  * No-change rebuild for libcamera soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2025 13:37:57 +0100

pipewire (1.2.7-1ubuntu3) plucky; urgency=medium

  * Install libpipewire-module-ffado-driver.so in the new filters binary,
    it depends on libffado2 which is in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Dec 2024 11:43:50 +0100

pipewire (1.2.7-1ubuntu2) plucky; urgency=medium

  * debian/control: updated for the new webrtc-audio-processing version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Dec 2024 23:50:26 +0100

pipewire (1.2.7-1ubuntu1) plucky; urgency=medium

  * Build lv2 and sofa modules and move them to separate
    libpipewire-3.0-modules-filters binary package (LP: #2054223)

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 17 Dec 2024 13:15:15 +0100

pipewire (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file
  * Override shared-library-lacks-prerequisites lintian tag for
      libjacknet.so.0.3.*, it's a dummy library so no need to complain.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 Nov 2024 11:50:10 +0100

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libapparmor-dev [linux-any],
               libasound2-dev (>= 1.2.5),
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
               libdbus-1-dev,
               libffado-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               libcanberra-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libmysofa-dev,
               libncurses-dev,
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libroc-dev (>= 0.3.0+dfsg-3),
               libsbc-dev,
               libsdl2-dev <!noinsttest>,
               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.61.1),
               modemmanager-dev,
               pkgconf,
               python3-docutils,
               systemd-dev
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0t64
Provides: ${t64:Provides}
Replaces: libpipewire-0.3-0
Breaks: libpipewire-0.3-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-filters
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.2.7-1ubuntu3)
Replaces: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.2.7-1ubuntu3)
Description: libraries for the PipeWire multimedia server - filter chain modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.
 .
 This package contains additional filter-chain modules

Package: libpipewire-0.3-modules-x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcanberra-pulse
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            wireplumber,
            rtkit
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: sound
Architecture: any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Conflicts: pulseaudio-module-gsettings
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireplumber
Suggests: libspa-0.2-bluetooth,
          pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-alsa
Section: sound
Architecture: any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Conflicts: pulseaudio
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends: gnome-desktop-testing, pipewire-tests

Tests: gstreamer1.0-pipewire
Restrictions: allow-stderr, superficial
Depends: gstreamer1.0-pipewire, gstreamer1.0-tools

Tests: libpipewire-0.3-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libpipewire-0.3-dev, pkg-config

## pipewire 1.4.0

=== debian/changelog ===
pipewire (1.4.0-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * /usr/share/pipewire/pipewire.conf edits - thanks abc-nix 
  * remove snap support

 -- anticapitalista <antix@operamail.com>  Fri, 07 Mar 2025 16:02:14 +0200

pipewire (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Mar 2025 17:10:21 +0100

pipewire (1.3.83-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 3)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 21 Feb 2025 09:07:46 +0100

pipewire (1.3.82-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 2)
  * Adjust path in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Feb 2025 13:37:54 +0100

pipewire (1.3.81-1) experimental; urgency=medium

  * New upstream release (1.4 release candidate 1)
  * Add libebur128-dev and libfftw3-dev in Build-Deps
      for filter-chain plugins.
  * No longer install client-rt.conf in pipewire-bin
  * Install the new filter-graph module and libspa.so in libspa-0.2-modules
  * Update symbols file
  * Adjust VCS fields in d/control and d/gbp.conf for experimental
  * Apply wrap-and-sort -a

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 14:47:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Jeremy Bicha <jbicha@debian.org>,
            Dylan Aïssi <daissi@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
+               dpkg-dev (>= 1.22.5),
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
                libasound2-dev (>= 1.2.5),
                libavahi-client-dev,
                libbluetooth-dev [linux-any],
                libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
+               libcanberra-dev,
                libdbus-1-dev,
+               libebur128-dev,
                libffado-dev,
+               libfftw3-dev,
                libfreeaptx-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
-               libcanberra-dev,
                liblc3-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
@@ -33,10 +35,8 @@
                libroc-dev (>= 0.3.0+dfsg-3),
                libsbc-dev,
                libsdl2-dev <!noinsttest>,
-               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
                libsndfile1-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -45,8 +45,7 @@
                meson (>= 0.61.1),
                modemmanager-dev,
                pkgconf,
-               python3-docutils,
-               systemd-dev
+               python3-docutils
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -77,7 +76,8 @@
 Package: libpipewire-0.3-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: libraries for the PipeWire multimedia server - common files
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -112,7 +112,8 @@
 Package: libpipewire-0.3-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server - modules
@@ -128,33 +129,12 @@
  and should not normally be depended on directly. PipeWire clients should
  depend on the pipewire package instead.
 
-Package: libpipewire-0.3-modules-filters
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.2.7-1ubuntu3)
-Replaces: pipewire (<< 0.3.5), libpipewire-0.3-modules (<< 1.2.7-1ubuntu3)
-Description: libraries for the PipeWire multimedia server - filter chain modules
- PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:
- .
-  - Making available sources of audio and video (such as from a capture devices
-    or application provided streams) and multiplexing this with clients.
-  - Accessing sources of audio and video for consumption.
-  - Generating graphs for audio and video processing.
- .
- This package contains modules used by the PipeWire server and by clients,
- and should not normally be depended on directly. PipeWire clients should
- depend on the pipewire package instead.
- .
- This package contains additional filter-chain modules
-
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libcanberra-pulse
+Depends: libcanberra-pulse,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -188,7 +168,8 @@
 Package: libspa-0.2-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
@@ -228,11 +209,11 @@
 Section: video
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-modules (= ${binary:Version}),
+Depends: adduser,
+         libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         adduser
+         ${shlibs:Depends}
 Description: audio and video processing engine multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -254,8 +235,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dbus-user-session,
-            wireplumber,
-            rtkit
+            rtkit,
+            wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -306,3 +287,29 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of audio and video (such as from a capture devices
+    or application provided streams) and multiplexing this with clients.
+  - Accessing sources of audio and video for consumption.
+  - Generating graphs for audio and video processing.
+ .
+ This package contains a plugin for ALSA applications to output via PipeWire.
+
+Package: pipewire-jack
+Section: sound
+Architecture: any
+Multi-Arch: same
+Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire JACK plugin, for JACK applications to output via PipeWire
+ PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:
+ .
+  - Making available sources of audio and video (such as from a capture devices
+    or application provided streams) and multiplexing this with clients.
+  - Accessing sources of audio and video for consumption.

## pipewire 1.4.1

=== debian/changelog ===
pipewire (1.4.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Install udev rules in /lib/udev/rules.d
  * Revert "Rename libraries for 64-bit time_t transition"

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Mar 2025 10:58:05 -0700

pipewire (1.4.1-1) unstable; urgency=medium

  * New upstream release
      - Fix segfault in audioconvert (Closes: #1100160)
      - Fix issue with Scarlett Solo 4th Gen (Closes: #1100157)
  * Drop Don-t-automatically-start-pipewire-for-root-logins.patch,
      included in upstream release.
  * Bump minimum libasound2-dev to 1.2.6
  * Bump minimum libroc-dev to 0.4.0
  * Bump minimum wireplumber to 0.5.0
  * Standards-Version: 4.7.2 (no changes required)
  * Install config files for multiple sample rates and upmixing in
      pipewire-bin and pipewire-pulse packages.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 14 Mar 2025 13:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
-               dpkg-dev (>= 1.22.5),
+#               dpkg-dev (>= 1.22.5),
                graphviz <!nodoc>,
                libapparmor-dev [linux-any],
-               libasound2-dev (>= 1.2.5),
+               libasound2-dev (>= 1.2.6),
                libavahi-client-dev,
                libbluetooth-dev [linux-any],
                libcamera-dev (>= 0.2.0) [!m68k !hurd-any],
@@ -32,11 +32,13 @@
                libopus-dev,
                libpulse-dev,
                libreadline-dev,
-               libroc-dev (>= 0.3.0+dfsg-3),
+               libroc-dev (>= 0.4.0),
                libsbc-dev,
                libsdl2-dev <!noinsttest>,
+               libsnapd-glib-dev [amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x],
                libsndfile1-dev,
                libssl-dev,
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -45,18 +47,19 @@
                meson (>= 0.61.1),
                modemmanager-dev,
                pkgconf,
-               python3-docutils
+               python3-docutils,
+               systemd-dev | systemd
 Build-Conflicts: libfdk-aac-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
 Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
 Homepage: https://pipewire.org/
 Rules-Requires-Root: no
 
-Package: libpipewire-0.3-0t64
-Provides: ${t64:Provides}
-Replaces: libpipewire-0.3-0
-Breaks: libpipewire-0.3-0 (<< ${source:Version})
+Package: libpipewire-0.3-0
+# Provides: ${t64:Provides}
+# Replaces: libpipewire-0.3-0
+# Breaks: libpipewire-0.3-0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
@@ -76,8 +79,7 @@
 Package: libpipewire-0.3-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: libraries for the PipeWire multimedia server - common files
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -94,7 +96,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpipewire-0.3-0t64 (= ${binary:Version}),
+Depends: libpipewire-0.3-0 (= ${binary:Version}),
          libspa-0.2-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: pipewire-doc
@@ -112,8 +114,7 @@
 Package: libpipewire-0.3-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server - modules
@@ -132,9 +133,7 @@
 Package: libpipewire-0.3-modules-x11
 Architecture: any
 Multi-Arch: same
-Depends: libcanberra-pulse,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libcanberra-pulse, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
 Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
 Description: libraries for the PipeWire multimedia server - X11 modules
@@ -168,8 +167,7 @@
 Package: libspa-0.2-modules
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
@@ -234,9 +232,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session,
-            rtkit,
-            wireplumber
+Recommends: dbus-user-session, rtkit, wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -259,12 +255,9 @@
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
 Conflicts: pulseaudio-module-gsettings
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth,
-          pulseaudio-utils
+Suggests: libspa-0.2-bluetooth, pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -283,9 +276,7 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire ALSA plugin, for ALSA applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -303,13 +294,10 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire JACK plugin, for JACK applications to output via PipeWire
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
  .
   - Making available sources of audio and video (such as from a capture devices
     or application provided streams) and multiplexing this with clients.
-  - Accessing sources of audio and video for consumption.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
MAN=disabled
else
DOCS=enabled
MAN=enabled
endif

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-tests,$(built_binaries)),)
INSTTEST=enabled
SDL2=enabled
else
INSTTEST=disabled
SDL2=disabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

ifneq (,$(filter m68k hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
LIBCAMERA=disabled
else
LIBCAMERA=enabled
endif

# lilv and some of its dependencies are in universe
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
LV2=disabled
LIBMYSOFA=disabled
LIBFFADO=disabled
ifneq (,$(filter amd64 arm64 armhf i386 powerpc ppc64el riscv64 s390x,$(DEB_HOST_ARCH)))
SNAP=enabled
else
SNAP=disabled
endif
else
LV2=enabled
LIBMYSOFA=enabled
LIBFFADO=enabled
SNAP=disabled
endif

ifneq (,$(filter hurd-amd64 hurd-i386,$(DEB_HOST_ARCH)))
UDEVRULESDIR=
else
# export UDEVRULESDIR=/usr/lib/udev/rules.d
# For pre-Trixie releases udev rules should go in:
export UDEVRULESDIR=/lib/udev/rules.d
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-backend-native-mm=enabled \
		-Dbluez5-codec-aac=disabled \
		-Dbluez5-codec-aptx=enabled \
		-Dbluez5-codec-lc3=enabled \
		-Dbluez5-codec-lc3plus=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dbluez5-codec-opus=enabled \
		-Dlibcamera=$(LIBCAMERA) \
		-Dlibffado=$(LIBFFADO) \
		-Dlibmysofa=$(LIBMYSOFA) \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=$(INSTTEST) \
		-Dlv2=$(LV2) \
		-Dman=$(MAN) \
		-Droc=enabled \
		-Dsdl2=$(SDL2) \
		-Dsession-managers= \
		-Dsnap=$(SNAP) \
		-Dtest=enabled \
		-Dudevrulesdir=$(UDEVRULESDIR) \
		-Dvideotestsrc=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-jack \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-jack.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
